diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index c7c5d30..7841ef9 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -145052,7 +145052,7 @@ TranscendentalRischDESystem(F, UP): Exports == Implementation where
  
   Exports ==> with
     monomRDEsys: (RF, RF, RF, UP -> UP) -> _
-                    Union(Record(a:UP, b:RF, h:UP, c1:RF, c2:RF, t:UP),"failed")
+                   Union(Record(a:UP, b:RF, h:UP, c1:RF, c2:RF, t:UP),"failed")
       ++ monomRDEsys(f,g1,g2,D) returns \spad{[A, B, H, C1, C2, T]} such that
       ++ \spad{(y1', y2') + ((0, -f), (f, 0)) (y1,y2) = (g1,g2)} has a solution
       ++ if and only if \spad{y1 = Q1 / T, y2 = Q2 / T},
@@ -145098,7 +145098,8 @@ TranscendentalRischDESystem(F, UP): Exports == Implementation where
       n := getBound(u.a, bb := retract(u.b), u.h,
                     cc1 := retract(u.c1), cc2 := retract(u.c2))
       (v := SPDEsys(u.a, bb, u.h, cc1, cc2, n, differentiate,
-                    DSPDEsys(#1, #2::UP, #3::UP, #4, #5, #6, differentiate)))
+                   (z1,z2,z3,z4,z5,z6) +->
+                    DSPDEsys(z1, z2::UP, z3::UP, z4, z5, z6, differentiate)))
                           case "failed" => "failed"
       l := v::List(UP)
       [first(l) / u.t, second(l) / u.t]
@@ -145161,11 +145162,14 @@ TranscendentalRischDESystem(F, UP): Exports == Implementation where
       lb := leadingCoefficient b
       lh := leadingCoefficient h
       bb < hh =>
-        DSPDEsys0(a,b,h,c1,c2,lb,lh,n,derivation,DSPDEhdom(#1,#2,#3,#4,#5,hh))
+        DSPDEsys0(a,b,h,c1,c2,lb,lh,n,derivation,
+                  (z1,z2,z3,z4,z5) +-> DSPDEhdom(z1,z2,z3,z4,z5,hh))
       bb > hh =>
-        DSPDEsys0(a,b,h,c1,c2,lb,lh,n,derivation,DSPDEbdom(#1,#2,#3,#4,#5,bb))
+        DSPDEsys0(a,b,h,c1,c2,lb,lh,n,derivation,
+                  (z1,z2,z3,z4,z5) +-> DSPDEbdom(z1,z2,z3,z4,z5,bb))
       det := lb * lb + lh * lh
-      DSPDEsys0(a,b,h,c1,c2,lb,lh,n,derivation,DSPDEmix(#1,#2,#3,#4,#5,bb,det))
+      DSPDEsys0(a,b,h,c1,c2,lb,lh,n,derivation,
+                (z1,z2,z3,z4,z5) +-> DSPDEmix(z1,z2,z3,z4,z5,bb,det))
  
     DSPDEsys0(a, b, h, c1, c2, lb, lh, n, derivation, getlc) ==
       ans1 := ans2 := 0::UP
diff --git a/changelog b/changelog
index d650c36..2c9ffeb 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090624 tpd src/axiom-website/patches.html 20090623.04.tpd.patch
+20090624 tpd books/bookvol10.4 RDETRS +-> conversion
 20090623 tpd src/axiom-website/patches.html 20090623.03.tpd.patch
 20090623 tpd books/bookvol10.4 TRMANIP +-> conversion
 20090623 tpd src/axiom-website/patches.html 20090623.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 27db783..5bd616b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1651,5 +1651,7 @@ bookvol10.4 DRAWCFUN +-> conversion<br/>
 bookvol10.4 INTTR +-> conversion<br/>
 <a href="patches/20090623.03.tpd.patch">20090623.03.tpd.patch</a>
 bookvol10.4 TRMANIP +-> conversion<br/>
+<a href="patches/20090624.01.tpd.patch">20090624.01.tpd.patch</a>
+bookvol10.4 RDETRS +-> conversion<br/>
  </body>
 </html>
